### Method

# Gimp Image get_vectors

#### Declaration [src]

    GimpVectors**
    gimp_image_get_vectors (
      GimpImage* image,
      gint* num_vectors
    )

#### Description [src]

Returns the list of vectors contained in the specified image.

This procedure returns the list of vectors contained in the specified image.

Available since: | 2.4
This method is not directly available to language bindings.

#### Parameters

`num_vectors` | `gint*`
| The number of vectors contained in the image.
| The argument will be set by the function.

#### Return value

Returns: | An array of `None`

         The list of vectors contained in the image.
         The returned value must be freed with g_free().

| The length of the array is in the `num_vectors` argument.
| The caller of the method takes ownership of the data container, but not the data inside it.